Appearance
Reverse Payment
PUT
/v1/pay/transactionid/{transactionId}/reverse
Reverse an instant payment using VALR Pay by specifying the payment transaction id. An anonymous payment will be made back to the original sender's VALR Pay ID with the exact amount and identical currency. Only a recipient of a payment can perform the reversal. Successful requests return 202 - Accepted with an identifier and transactionId in the body.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Path Parameters
transactionId*
The transaction id of the payment that is to be reversed
Type
Requiredstring
Responses
Reversal accepted
application/json